=== debian/changelog ===
nova (2:15.0.2-0ubuntu1) zesty; urgency=medium

  * New upstream point release for OpenStack Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Mar 2017 08:42:18 -0400

nova (2:15.0.1-0ubuntu1) zesty; urgency=medium

  * New upstream point release for OpenStack Ocata.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Mar 2017 14:52:46 +0000

nova (2:15.0.0-0ubuntu1.1) zesty; urgency=medium

  * d/nova-placement-api.conf: Fix typo in combined log format (LP: #1671509).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Mar 2017 15:28:19 -0500

nova (2:15.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2017 09:57:01 -0500

nova (2:15.0.0~rc2-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for Ocata. 
  * d/p/add-update_cell-command-to-nova-manage.patch: Dropped no longer
    needed.
  * d/p/enable-defaults-for-update_cell-command.patch: Dropped no longer
    needed.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 17 Feb 2017 08:40:43 -0500

nova (2:15.0.0~rc1-0ubuntu3) zesty; urgency=medium

  * d/p/add-update_cell-command-to-nova-manage.patch: Cherry-picked
    from upstream stable/ocata branch to enable update of existing v2
    cell. This enables scaling of rabbitmq-server.
  * d/p/enable-defaults-for-update_cell-command.patch: Cherry-picked
    from gerrit to enable use of default arguments with update_cell.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 15 Feb 2017 11:43:48 -0500

nova (2:15.0.0~rc1-0ubuntu2) zesty; urgency=medium

  * debian/rules, debian/tests: Fix autopkgtests. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 08 Feb 2017 16:23:32 -0500

nova (2:15.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 07 Feb 2017 13:24:09 -0500

nova (2:15.0.0~b3-0ubuntu2) zesty; urgency=medium

  * debian/control: Fix bad dependencies. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 01 Feb 2017 08:57:57 -0500

nova (2:15.0.0~b3-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * debian/nova-common.install: Add nova-status command.
  * debian/control: Add python-os-xenapi package.
  * debian/control: Add python-osprofiler package.
  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 27 Jan 2017 12:31:56 -0500

nova (2:15.0.0~b2-0ubuntu4) zesty; urgency=medium

  * d/control: Add bridge-utils dep to nova-compute.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Jan 2017 12:16:53 -0500

nova (2:15.0.0~b2-0ubuntu3) zesty; urgency=medium

  * d/p/os-vif-1.4-compat.patch: Cherry pick patch for compat
    with os-vif >= 1.4.

 -- James Page <james.page@ubuntu.com>  Mon, 23 Jan 2017 09:55:39 +0000

nova (2:15.0.0~b2-0ubuntu2) zesty; urgency=medium

  * d/t/*: Drop nova-network from tests as it is being
    deprecated and nova/cmd/network.py errors out of cells
    aren't enabled.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Dec 2016 13:53:22 -0500

nova (2:15.0.0~b2-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * debian/tests/nova-compute-daemon: Re-add tests. 
  * debian/control: Add python-ddt as a dependency.
  * debian/patches/arm-console-patch.patch: Refreshed.
  * debian/nova-conf.dist: 
    - Disable cells
    - Remove verbose logging

  [ Corey Bryant ]
  * d/p/arm-console-patch.patch: Rebased.
  * d/nova-placement-api.{apache2,conf,init.in}, d/control, d/rules: Run
    nova-placement-api under apache2 with mod_wsgi.
  * d/control: Drop 'Conflicts: nova-api' from nova-placement-api because
    placement api can't be specified on nova.conf's enabled_apis, which is
    used to specify which APIs to run when nova-api is used (confirmed by
    cdent).
  * New upstream version.
  * d/p/arm-console-patch.patch: Rebased.
  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/arm-console-patch.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 14:48:56 -0500

nova (2:15.0.0~b1-1ubuntu3) zesty; urgency=medium

  * debian/tests/nova-compute-daemon: Simplify smoke test. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 21 Nov 2016 13:44:20 -0500

nova (2:15.0.0~b1-1ubuntu2) zesty; urgency=medium

  * debian/setup-nova-config.sh: Fix nova.conf generation
    script. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 18 Nov 2016 06:59:19 -0500

nova (2:15.0.0~b1-1ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * debian/pratches/wsgi-intercept.patch: Dropped no longer needed.
  * debian/patches/libvirt-add-hugepages-support-for-arm64.patch: Dropped no
    longer needed.
  * debian/control: Bump version dependencies. 

  [ Corey Bryant ]
  * d/rules, d/nova-common.install: policy.json has been dropped since
    default policies are registered in code. Generate sample policy.yaml
    and install in /usr/share/nova.
  * d/debian/nova-common.postinst: Drop chmod of policy.json.
  * d/rules, d/nova-common.install, d/nova.conf: Drop hardcoded nova.conf and
    generate it instead (LP: #1506667).

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 17 Nov 2016 09:55:41 -0500

nova (2012.1~e4~20120208.12523-0ubuntu1) zesty; urgency=low

  [ Chuck Short ]
  * debian/patches/fix-nova-rootwraper-env.patch: Dropped
    no longer needed.
  * debian/nova-compute-{kvm,xen,uml,lxc}.conf: Add the connection
    type "--connection=libvirt" since libvirt is no longer the default.

  [ Adam Gandelman ]
  * debian/nova.conf: Define connection_type=libvirt in common nova.conf
    instead of nova-compute-*.conf until Bug #921294 is addressed.

  [ Vish Ishaya ]
   * debian/mans/nova-cert.8, debian/nova-cert.init, debian/nova-cert.install,
     debian/nova-cert.logrotate, debian/nova-cert.manpages,
     debian/nova-cert.upstart.in, debian/control, debian/source_nova.py:
     Add nova-cert.

  [ Soren Hansen ]

