=== debian/tests/control ===
Tests: nova-compute-daemons nova-daemons nova-api python-nova
Depends: nova-conductor, nova-cert, nova-scheduler, nova-novncproxy,
 nova-xvpvncproxy, nova-api, nova-placement-api, nova-console,
 nova-consoleauth, python-nova, rabbitmq-server, nova-compute
Restrictions: needs-root
