## nova 15.0.7

=== debian/changelog ===
nova (2:15.0.7-2) unstable; urgency=medium

  * Fix requirements - python-oslo.privsep

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 26 Oct 2017 12:35:03 +0200

nova (2:15.0.7-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 21 Sep 2017 10:57:03 +0200

nova (2:15.0.6-2) unstable; urgency=medium

  * Fix nova-placement-api , missing apache config

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 31 Aug 2017 12:24:03 +0200

nova (2:15.0.6-1) unstable; urgency=medium

  * New upstream release.

 -- David Homolka <david.homolka@ultimum.io>  Wed, 16 Aug 2017 12:00:00 +0200

nova (2:14.0.0-4) unstable; urgency=medium

  [ David Rabel ]
  * Team upload.
  * Bump build dependency on openstack-pkg-tools (Closes: #858708, #858710).

  [ Thomas Goirand ]
  * CVE-2017-7214: apply upstream patch (Closes: 858568).

 -- Thomas Goirand <zigo@debian.org>  Sun, 02 Apr 2017 12:52:50 +0200
