## nova 15.0.8

=== debian/changelog ===
nova (2:15.0.8-1) unstable; urgency=medium

  * New upstream version
  * Update Vcs Fields

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 20 Dec 2017 14:45:07 +0100

nova (2:14.0.0~b2-2) experimental; urgency=medium

  * Team upload.
  * Added python-pep8 to build depends (Closes: #834134)
  * (Build-)Depends on python-websockify instead of websockify

 -- Ondřej Nový <onovy@debian.org>  Sun, 14 Aug 2016 17:49:12 +0200
