## nova 15.1.0

=== debian/changelog ===
nova (2:15.1.0-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 04 Jan 2018 10:25:57 +0100
