=== debian/control ===
--- 
+++ 
@@ -110,11 +110,10 @@
                      sqlite3,
                      subunit,
                      testrepository,
-                     websockify (>= 0.8.0),
 Build-Conflicts: python-cjson
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/openstack/old/gerrit/deb-nova.git/?h=debian%2Focata
-Vcs-Git: https://anonscm.debian.org/git/openstack/old/gerrit/deb-nova.git -b debian/ocata
+Vcs-Browser: https://anonscm.debian.org/git/openstack/services/nova.git
+Vcs-Git: https://anonscm.debian.org/git/openstack/services/nova.git
 Homepage: http://www.openstack.org/software/openstack-compute/
 
 Package: python-nova
@@ -189,7 +188,6 @@
          python-webob,
          python-wsgi-intercept (>= 1.4.1),
          sudo,
-         websockify (>= 0.8.0),
          ${misc:Depends},
          ${python:Depends},
 Suggests: python-suds (>= 0.4.0)
@@ -297,3 +295,4 @@
  .
  OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
  designed to be modular and easy to extend and adapt. In addition to its
+ "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
